from src.models.nomenclature_group_model import nomenclature_group_model
from src.models.measurement_unit_model import measurement_unit_model
from src.models.nomenclature_model import nomenclature_model
from src.settings import settings

#
# Класс для обработки начало работы приложения
#
class start_factory:
    __options: settings = None
    
    def __init__(self, options: settings) -> None:
        self.__options = options
    
    @staticmethod
    def create_nomenclature_list():
        """
          Фабричный метод Создать список номенклатуры
        """
        
        result = []
        
        
        item1 = nomenclature_model("Мука", "Мука пшеничная",
                                   measurement_unit_model.create_kg(),
                                   nomenclature_group_model.create_group())
        
        result.append(item1)
        
        return result
    
    
    def create(self):
        """
           В зависимости от настроек, сформировать начальную номенклатуру

        Returns:
            _type_: _description_
        """
        if self.__options.is_first_run == True:
            self.__options.is_first_run = False
            return start_factory.create_nomenclature_list()
        else:
            items = []
            return items
        
        
    
    
        
        
        
        
    
    
    
    